﻿@using Airlines.Business.DTOs
@model IEnumerable<Airlines.Business.DTOs.FlightDTO>

@{
	ViewData["Title"] = "Flights";
}
<div class="container-form">
	<div class="container-head">
		<a href="/">
			<img src="~/assets/left sidebar.png" alt="bar" />
		</a>
		<h1>Flights</h1>
	</div>
	@{
		var search = new Search();
	}
	@await Html.PartialAsync("_SearchBar", search)
	<table class="table" id="table">
		<tr class="table-head">
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Flight_Number)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Airline)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Departure)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Arrival)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Arrival_date)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Departure_date)
			</th>
			<th class="table-head-tag">
				Buttons
			</th>
		</tr>

		@foreach (var item in Model)
		{
			<tr>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Flight_Number)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Airline)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Arrival!.Code)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Departure!.Code)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Arrival_date)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Departure_date)
				</td>
				<td class="table-row-tag">
					@Html.ActionLink("Edit", "Edit", new { id = item.ID }) |
					@Html.ActionLink("Details", "Details", new { id = item.ID }) |
					@Html.ActionLink("Delete", "Delete", new { id = item.ID })
				</td>
			</tr>
		}
	</table>
	<button class="block-button-show scroll-top" id="scroll-top">Go top</button>
	<button class="block-button-show" id="show-more" onclick="showMore()">Show More</button>
	<a href="#" class="block-button-form" id="show-form" onclick="showForm()">Show Form</a>
	<form class="form hidden" id="form" asp-action="Create" method="post">
		<legend>Add new Flight</legend>

		<label for="flight_number">Flight Number</label>
		<input type="text" id="flight_number" name="flight_number" onblur="checkFlightNumber()" />
		<span class="validation hidden" id="flight-number-valid">Flight number must be lower than 6 chars</span>

		<label for="airline">Airline</label>
		<input type="text" id="airline" name="airline" onblur="checkAirline()" />
		<span class="validation hidden" id="airline-valid">Airline must be filled</span>

		<label for="departure_id">Departure Code</label>
		<input type="text" id="departure" name="departure" onblur="checkDepartureCode()" />
		<span class="validation hidden" id="departure-code-valid">Departure Code must be filled</span>

		<label for="arrival_id">Arrival Code</label>
		<input type="text" id="arrival" name="arrival" onblur="checkArrivalCode()" />
		<span class="validation hidden" id="arrival-code-valid">Arrival Code must be filled</span>

		<label for="departure_date">Departure Date</label>
		<input type="datetime-local" id="departure_date" name="departure_date" onblur="checkDepartureDate()" />
		<span class="validation hidden" id="departure-date-valid">Please Select Departure date</span>

		<label for="arrival_date">Arrival Date</label>
		<input type="datetime-local" id="arrival_date" name="arrival_date" onblur="checkArrivalDate()" />
		<span class="validation hidden" id="arrival-date-valid">Please Select Arrival date</span>


		<input type="submit" class="block-button-form" id="submit-button" asp-action="Create" />
	</form>
</div>
@section Scripts {
	<script src="~/js/flightValidation.js"></script>
}